解決例

Salome-Mecaが起動しなくなった(裏でSalome-Mecaが複数 走っている)

Salome-Mecaが起動しないときに、何回もSalome-Mecaのアイコンをクリックすると、 裏で、いくつものSalome-Mecaが起動していることがある。 その場合、ターミナルで、

ps ux|grep salome-meca

をやり、走っているSalome-Mecaのプロセス番号を表示させる。

kouzou    1748  0.0  0.2 242428 23492 ?        Sl   12:13   0:00 SALOME_LauncherServer --with Registry ( --salome_session theSession ) --with ModuleCatalog 

みたいなのが大量に表示されると思うが、この番号を

kill -KILL 1748

みたいにしてプロセスを止めていく。 ときどき、ps ux|grep salome-meca をやって、表示されるプレセスが減ってるかどうか確認する。

kouzou    2563  0.0  0.0  15456  1064 pts/2    S+   12:46   0:00 grep --color=auto salome

だけになれば、ぜんぶ止めれたということ。

ParaViSでパイプブラウザーが表示されない

  • ParaViSの表示→ツールバーとWindowsでチェックの入っていない項目にどんどんチェックを入れていくと、表示されてないウィンドウ類が追加されていく。
  • ちなみにApplyがあるのは、オブジェクトインスペクター

振動解析(結果の値が小さいとの指摘)

  • analysis(CALC MODES)のオプションをPLUS-PETITEをBANDEに変更
  • BANDEに変更して周波数のMINとMAXを指定してあげればいいと思う。

unicode decode error

これをやらないと日本語環境のUbuntuでは計算ができない。

(Salome-Meca2017での話で、Salome-Meca2017.0.2では試していないので分からない) sitecustomize.pyを"~/salome_meca/appli_V2017/lib/python2.7/site-packages/salome"にダウンロードする。以下はコピー用のメモ

rsync -auv sitecustomize.py ~/salome_meca/appli_V2017/lib/python2.7/site-packages/salome/
rsync -auv sitecustomize.py ~/salome_meca/appli_V2017.0.2/lib/python2.7/site-packages/salome/
rsync -auv sitecustomize.py ~/salome_meca/appli_V2018.0.1_public/lib/python2.7/site-packages/salome/
  • ちなみに、システム -> 設定 -> ユーザ向け -> 言語サポート -> 地域フォーマット -> 日付の表示:English -> システム全体に適用 -> 再起動 でも使えるようになる。

Salome-Meca2019でOutputとMessagesを切り替えないと計算が終わらない

Salome-Meca2019では、runした後、

Cannot read output file or empty file

のエラー。output fileが出力されない。 OutputとMessagesを何回か切り替えると、計算が終わる。 実行前のAuto Refresh:Noのタブを、Auto Refresh:5s にすれば、 この切り替えをしなくてもよくなる。

ドキュメントオープン中に不明な問題が発生しました

Salome-Meca2019で起きやすいかもしれないが、hdfファイルを開くと、 こういうエラーが発生する。 「/home/kouzou/ダウンロード」など日本語を含むディレクトリ内のhdfファイルを開こうとした場合に発生する。/home/kouzou/gotou20/salome とか、日本語を含まないディレクトリに移動してから開く。

Ubuntu18(サーバー版)等で、Salome-Meca2019や2018が起動しない場合がある。

salome_meca/appli_V2019.0.3_universalの中の実行ファイル(salome)を直接 起動した場合のエラーの最後の行は、

RuntimeError: Process 7208 for /Kernel/Session not found

みたいな感じ。以下をインストールすると解決

sudo apt-get install libQt5* net-tools libnlopt0

HP15 db-1000のUbuntu18にSalome-Mecaがインストールできない

Salome-Meca2019も2018も2017もインストールできない。 appli_V20**の中のappli_V2018.0.1_public.logみたいなログファイルを見ると、

./create_appli.sh: 行 131: python: コマンドが見つかりません

と書かれている。

python2.7 -V

をやってみて、python2.7がインストールされていないのを確認したら、

sudo apt install python2.7

でpython2.7をインストールしてから、

sudo ln -s /usr/bin/python2.7 /usr/bin/python

で、pythonにリンクを張る。 これで、Salome-Meca2019はインストールはできた。 が、AsterStudy?でメッシュファイルの変更とかをしようとすると、

SIGSEGV 'segmentation vilolation' detected. 

が出る。その後、固まってハングアップ。Salome-Meca2018と2017は動作する。CPUは、

AMD Ryzen 3 3200U with Radeon Vega Mobile Gfx

だが、GPUがAMD Radeonのパソコンだと、このエラーが出やすいように思う。

Ubuntu18.04LTSの日本語Remix版は、今までは、python2.7がインストールされたような気がするけど、もしかして、Ubuntu18.04LTSの日本語Remix版が途中で新しくなっているだろうか。あるいは、日本語Remixでないものと混同しているだろうか。あるいは、インストール時にネットワークにつながるかどうかで、pythonのインストール方法に違いが出たりするだろうか。同じようにインストールしたUbuntu18.04でもpython2.7が入ってたり入ってなかったりする理由は不明。 あるいは、インストール直後、Mateを入れたり、

sudo apt-get install gftp gimp gparted gnuplot gfortran gimp imagemagick nkf synaptic vim vim-gnome xdvik-ja xfig okumura-clsfiles

こうしたツールを入れるときに、どれかがpython2.7を要求してインストールされていたのだろうか。 最近は、インストール直後に、まずSalome-Mecaがインストールできるかどうかを確認するようになったから、python2.7が入ってない状態でインストールできなくなっていたとか。

hdfファイルを読み込むとエラー

Ubuntu18(クライアント版)のsalome-meca 2019にhdfファイルを読み込もうとしたら、

ドキュメントオープン中に不明な問題が発生しました

のエラー。「ダウンロード」等、全角文字のディレクトリ内のhdfを読み込もうとすると出るようだ。Salome-Meca 2018だと大丈夫のようだが。

「メッシュを作成」の際にエラー

Salome Exception:liblapack.so.3:共有オブジェクトファイルを開けません:
そのようなファイルやディレクトリはありません

liblapack3をインストールすれば解決。

起動時のエラー

runSalome running on amd20
Searching for a free port for naming service: 2811 - OK
Searching Naming Service + found in 0.1 seconds 
Searching /Kernel/Session in Naming Service ++++++++++++++++++++++++++Gtk-Message: 09:39:00.069: Failed to load module "canberra-gtk-module"
+++++++libGL error: MESA-LOADER: failed to open radeonsi (search paths /usr/lib/x86_64-linux-gnu/dri:\$${ORIGIN}/dri:/usr/lib/dri)
libGL error: failed to load driver: radeonsi
libGL error: MESA-LOADER: failed to open radeonsi (search paths /usr/lib/x86_64-linux-gnu/dri:\$${ORIGIN}/dri:/usr/lib/dri)
libGL error: failed to load driver: radeonsi
libGL error: MESA-LOADER: failed to open swrast (search paths /usr/lib/x86_64-linux-gnu/dri:\$${ORIGIN}/dri:/usr/lib/dri)
libGL error: failed to load driver: swrast
+Warning: this type (SALOME_MED/MEDCouplingFieldDoubleCorbaInterface,objref) already exists, it will be ignored.
+ found in 17.5 seconds 
Start SALOME, elapsed time :  19.3 seconds

グラフィックカードとlibstdc++の相性によって起動しないことがあるらしい。この時、

LD_PRELOAD='/usr/$LIB/libstdc++.so.6' DISPLAY=:0 ~/salome_meca/appli_V2018/salome

というふうにして毎回端末から起動するか、あるいはそれが手間であれば

cd ~/salome_meca/V2018/prerequisites/debianForSalome/lib
mkdir kari
mv libstdc++* kari

として、原因のファイルをどけてやれば、アイコンからでも問題なく起動するSalomeメモの片持ち梁で動作確認済み)。

Ubuntu20.04/HP20 db-1000にSalome-Meca2018をインストール

iiyamaのOSなしノート(intel Celelon N4100)も以下の方法でSalome-Meca2018はインストールできる。

  • まずpython2.7をインストールして、pythonからリンクをはる
    sudo apt install python2.7
    sudo ln -s /usr/bin/python2.7 /usr/bin/python
  • Salome-Meca2018をインストール
  • sitecustomize.pyを以下にコピー
    rsync -auv sitecustomize.py ~/salome_meca/appli_V2018.0.1_public/lib/python2.7/site-packages/salome/
sudo apt-get install net-tools libnlopt0
sudo apt-get install libQt5*

恐らく、libqt5gui5-gles libqt5quick5-gles libqt5quickparticles5-gles に競合があって駄目と言われるので、それらを除外してlibqt5*すべてを並べた以下を実行

sudo apt install libqt5-ukui-style-dev libqt5-ukui-style1 libqt53danimation5 libqt53dcore5 libqt53dextras5 libqt53dinput5 libqt53dlogic5 libqt53dquick5 libqt53dquickanimation5 libqt53dquickextras5 libqt53dquickinput5 libqt53dquickrender5 libqt53dquickscene2d5 libqt53drender5 libqt5bluetooth5-bin libqt5bluetooth5 libqt5charts5-dev libqt5charts5 libqt5concurrent5 libqt5concurrent5 libqt5core5a libqt5core5a libqt5datavisualization5-dev libqt5datavisualization5 libqt5dbus5 libqt5dbus5 libqt5designer5 libqt5designer5 libqt5designercomponents5 libqt5designercomponents5 libqt5gamepad5-dev libqt5gamepad5 libqt5glib-2.0-0 libqt5gstreamer-1.0-0 libqt5gstreamer-dev libqt5gstreamerquick-1.0-0 libqt5gstreamerui-1.0-0 libqt5gstreamerutils-1.0-0 libqt5gui5 libqt5gui5 libqt5help5 libqt5help5 libqt5hunspellinputmethod5 libqt5keychain1 libqt5location5-plugin-mapboxgl libqt5location5-plugin-mapboxgl libqt5location5-plugins libqt5location5-plugins libqt5location5 libqt5location5 libqt5multimedia5-plugins libqt5multimedia5-plugins libqt5multimedia5 libqt5multimedia5 libqt5multimediagsttools5 libqt5multimediagsttools5 libqt5multimediaquick5 libqt5multimediaquick5 libqt5multimediawidgets5 libqt5multimediawidgets5 libqt5network5 libqt5network5 libqt5networkauth5-dev libqt5networkauth5 libqt5nfc5 libqt5opengl5-dev libqt5opengl5-dev libqt5opengl5 libqt5opengl5 libqt5pas-dev libqt5pas1 libqt5positioning5-plugins libqt5positioning5-plugins libqt5positioning5 libqt5positioning5 libqt5positioningquick5 libqt5positioningquick5 libqt5printsupport5 libqt5printsupport5 libqt5qevercloud3 libqt5qml5 libqt5qml5 libqt5quick5 libqt5quick5 libqt5quickcontrols2-5 libqt5quickparticles5 libqt5quickparticles5 libqt5quickshapes5 libqt5quickshapes5 libqt5quicktemplates2-5 libqt5quicktest5 libqt5quicktest5 libqt5quickwidgets5 libqt5quickwidgets5 libqt5remoteobjects5-bin libqt5remoteobjects5-dev libqt5remoteobjects5 libqt5scintilla2-designer libqt5script5 libqt5scripttools5 libqt5scxml5-bin libqt5scxml5-dev libqt5scxml5 libqt5sensors5-dev libqt5sensors5-dev libqt5sensors5 libqt5sensors5 libqt5serialbus5-bin libqt5serialbus5-dev libqt5serialbus5-plugins libqt5serialbus5 libqt5serialport5-dev libqt5serialport5-dev libqt5serialport5 libqt5serialport5 libqt5sql5-ibase libqt5sql5-ibase libqt5sql5-mysql libqt5sql5-mysql libqt5sql5-odbc libqt5sql5-odbc libqt5sql5-psql libqt5sql5-psql libqt5sql5-sqlite libqt5sql5-sqlite libqt5sql5-tds libqt5sql5-tds libqt5sql5 libqt5sql5 libqt5svg5-dev libqt5svg5-dev libqt5svg5 libqt5svg5 libqt5test5 libqt5test5 libqt5texttospeech5-dev libqt5texttospeech5 libqt5virtualkeyboard5-dev libqt5virtualkeyboard5 libqt5waylandclient5-dev libqt5waylandclient5 libqt5waylandcompositor5-dev libqt5waylandcompositor5 libqt5webchannel5-dev libqt5webchannel5-dev libqt5webchannel5 libqt5webchannel5 libqt5webengine-data libqt5webengine5 libqt5webenginecore5 libqt5webenginewidgets5 libqt5webkit5-dev libqt5webkit5-dev libqt5webkit5 libqt5webkit5 libqt5websockets5-dev libqt5websockets5-dev libqt5websockets5 libqt5websockets5 libqt5webview5-dev libqt5webview5 libqt5widgets5 libqt5widgets5 libqt5x11extras5-dev libqt5x11extras5-dev libqt5x11extras5 libqt5x11extras5 libqt5xdg-dev libqt5xdg3 libqt5xdgiconloader-dev libqt5xdgiconloader3 libqt5xml5 libqt5xml5 libqt5xmlpatterns5-dev libqt5xmlpatterns5-dev libqt5xmlpatterns5 libqt5xmlpatterns5
  • あと、以下を実行
    cd ~/salome_meca/V2018.0.1_public/prerequisites/debianForSalome/lib
    mkdir kari
    mv libstdc++* kari

これでSalome-Meca2018は動作する。Salome-Meca2019は、AsterStrudy?にするとAsterStudy?のモージュールを有効にできません。Saome-Meca2017は、起動するが、プルダウンメニューのテキストが表示されず真っ白。iiyamaのOSなしノート(Celeron N4100)も同様。

AsterStudy?のモージュールを有効にできません。

Failed to activate module AsterStudy

Ubuntu20.04にSalome-meca2019をインストールするとAsterStudy?の起動時にこのエラー

sudo apt-get install libffi*
cd ~/salome_meca/V2019.0.3_universal/prerequisites/debianForSalome/lib 
mkdir kari
mv libstdc++* kari
ln -s /usr/lib/x86_64-linux-gnu/libstdc++.so.6 libstdc++.so.6
ln -s /usr/lib/x86_64-linux-gnu/libffi.so libffi.so.6

ubuntu20.04

ubuntu20.04でSalome-Meca2019をインストールしようとすると

./create_appli.sh: line 131: python: command not found

のエラー。

python3 -V

をやると Python 3.8.2 と表示されるので、pythonは入っているのだが、 3.8になってしまうと駄目なのか? そうではなくて、pythonというコマンドは、ubuntu18.04までは、/usr/bin/の中にpythonというコマンドがあって、python2.7にリンクされていたということか。 ubuntu20.04の/usr/binの中には、pythonというリンク(ファイル)はないので、/usr/bin/python3をpythonにコピーしてSalome-Meca2019をインストールし直しするが、だめみたい。というか、ubuntu18.04でもSalome-Mecaのインストールファイルは、pythonというコマンドをつかっているわけだから、インストール時には、python2.7をつかっていたということか。python2.7をインストールすればいいのか?

  • Ubuntu20.04でpython2.7をインストールしてからSalome-Meca2019をインストールすると、インストールはでき、起動もできるが、AsterStudy?にしようとすると
    AsterStudyのモージュールを有効にできません。
    Failed to activate module AsterStudy
sudo apt install python-dateutil

ちなみに、Ubuntu20.04にsudoでSalome-Meca2019をインストールすると、/root/salome_mecaにインストールされてしまう。 Salome-Meca2018はインストールできない。めんどくさいんで、Debinan10.3.0をインストールし直して、それにSalome-Meca2019をインストールしたら、問題なく動いているよう。Debianはインストール時にMATEも選べるし、結構いいかもしれない。見た目もVineのようで落ち着いているし。ただし、Debianは最近のノートPCの無線LANを使えるようにドライバーをビルドしたりするのは大変だ。その辺はFedoraとかの方が楽そうだが、python関係が新しすぎてもSalome-Mecaが動かなかったりする。Fedora32にはSalome-Meca2019も2018もインストールできなかった。 Linux Mint 18.1 MATEだと、Salome-Meca2018は動いたが、2019は動かない。

  • https://hitoricae.com/2020/05/06/install-salome-meca2019-om-xubuntu2004/ 以下をインストールしてからならどうか。今度 試してみる。
    sudo apt-get install libQt5* net-tools libnlopt0 python3 python3-dev python3-numpy libffi*
    
    cd ~/salome_meca/V2019.0.3_universal/prerequisites/debianForSalome/lib 
    mkdir kari
    mv libstdc++* kari
    ln -s /usr/lib/x86_64-linux-gnu/libstdc++.so.6 libstdc++.so.6
    ln -s /usr/lib/x86_64-linux-gnu/libffi.so libffi.so.6

上の最後の2行で、libstdc++.so.6とlibffi.soのリンクをlibディレクトリ内に作れば、 Salome-Meca2019のAsterStudy?も使えるようになる。Salome-Meca2018は、リンクを作らなくても動くが。

ln -s /usr/lib/x86_64-linux-gnu/libffi.so libffi.so.6 でエラーが出る場合

libffi.soがアップデートの状況次第でlibffi.so.7になっている。

ln -s /usr/lib/x86_64-linux-gnu/libffi.so.7 libffi.so.6

libffi.soをlibffi.so.7にすることで解決。

Salome_Meca2019のジオメトリーでFatal error(致命的なエラー)がでた。(21/7/15 及川)

 cd ~/salome_maca/V2019.0.3_univasal/prerequisites/debianForSalome?/lib

 rm libstdc++.so.6
 ln -s /usr/lib/x86_64_linux_gnu/libstdc++.so.6 libstdc++.so.6

これをやったらどうにかなった。

ubuntu20

sudo apt install python2.7
sudo ln -s /usr/bin/python2.7 /usr/bin/python

SIGSEGV 'segmentation vilolation' detected.

新しいPCでも、これが出るのがそれなりにある。今回はHPのやや新しいノート。AMDだと、radeonドライバー関係でひっかりやすいのかも。 Salome-Meca2017, 2018, 2019のバージョンにも依存する。 メッシュを切り直して、AsterStudy?でoutputを編集した途端に出るとか、 AsterStudy?でcommファイルを読み込んで、メッシュのところを編集しようとした途端に出るとか。

radeonドライバーのインストールもやったけど、駄目。 他のOSを入れてためそうと、debian10を入れようとしたら、無線LANを認識してくれないのでやめ。Linux Mint 18 MATE は無線LANは認識するのだが、空き領域へのインストールへ進めない。全削除クリーンインストールでも先へ進めないので断念。Ubuntu16.04(2021/4頃まではサポートがある)はすんなりインストールできて、Salome-Meca2018は起動しない。Salome-Meca2017は、特に問題なく動くよう。メッシュを切り直してOutputを編集しても大丈夫そうだ。これで様子を見るか(要は、卒論の遠隔指導用ノートPCを多数 用意しなければならないのだが...)

HP15 dv-1000 Ubuntu20.04

runSalome running on amd20
Error when trying to access active network connections.
Traceback (most recent call last):
 File "/home/kouzou/salome_meca/appli_V2018.0.1_public/bin/salome/PortManager.py", line 111, in __isNetworkConnectionActiveOnPort
   p = Popen(cmd, stdout=PIPE, stderr=STDOUT)
 File "/home/kouzou/salome_meca/V2018.0.1_public/prerequisites/Python-2710/lib/python2.7/subprocess.py", line 710, in __init__
   errread, errwrite)
 File "/home/kouzou/salome_meca/V2018.0.1_public/prerequisites/Python-2710/lib/python2.7/subprocess.py", line 1335, in _execute_child
   raise child_exception
OSError: [Errno 2] No such file or directory
Searching for a free port for naming service: 2811 - OK
Searching Naming Service + found in 0.1 seconds 
Searching /Kernel/Session in Naming Service ++++++SALOME_Session_Server: error while loading shared libraries: libquadmath.so.0: cannot open shared object file: No    such file or directory
Traceback (most recent call last):
 File "/home/kouzou/salome_meca/appli_V2018.0.1_public/bin/salome/runSalome.py", line 633, in useSalome
   clt = startSalome(args, modules_list, modules_root_dir)
 File "/home/kouzou/salome_meca/appli_V2018.0.1_public/bin/salome/runSalome.py", line 578, in startSalome
   session=clt.waitNSPID("/Kernel/Session",mySessionServ.PID,SALOME.Session)
 File "/home/kouzou/salome_meca/V2018.0.1_public/modules/KERNEL_V8_5_0/bin/salome/orbmodule.py", line 174, in waitNSPID
   raise RuntimeError, "Process %d for %s not found" % (thePID,theName)
RuntimeError: Process 5459 for /Kernel/Session not found

/etc/hostsの中のipv6の行を#でコメントアウトしても変化なし。

sudo apt install net-tools

でnet-toolsをインストールすると上記のエラーはでなくなるが、下記のエラー。

runSalome running on amd20
Searching for a free port for naming service: 2815 - OK
Searching Naming Service + found in 0.1 seconds 
Searching /Kernel/Session in Naming Service +SALOME_Session_Server: error while loading shared libraries: libquadmath.so.0: cannot open shared object file: No such  file or directory
Traceback (most recent call last):
 File "/home/kouzou/salome_meca/appli_V2018.0.1_public/bin/salome/runSalome.py", line 633, in useSalome
   clt = startSalome(args, modules_list, modules_root_dir)
 File "/home/kouzou/salome_meca/appli_V2018.0.1_public/bin/salome/runSalome.py", line 578, in startSalome
   session=clt.waitNSPID("/Kernel/Session",mySessionServ.PID,SALOME.Session)
 File "/home/kouzou/salome_meca/V2018.0.1_public/modules/KERNEL_V8_5_0/bin/salome/orbmodule.py", line 174, in waitNSPID
   raise RuntimeError, "Process %d for %s not found" % (thePID,theName)
RuntimeError: Process 7414 for /Kernel/Session not found

これは、以下で解決するタイプのエラーのような。

sudo apt install libQt5* net-tools libnlopt0

というわけで、libQt5* とlibnlopt0をインストールしようとしたら、libnlopt0はインストールできるが、libQt5* はパッケージがないと言われる。synapticで検索すると、libqt5なんちゃらというのは、いっぱい出てくる。aptでワイルドカード*が使えなくなったとか?

E: パッケージ libQt5* が見つかりません
sudo apt-get install libQt5*

とapt-getにしたら、受け付けられたが、以下のエラー。

以下のパッケージには満たせない依存関係があります:
libqt5gui5-gles : 競合: libqt5gui5 しかし、5.12.8+dfsg-0ubuntu1 はインストールされようとしています
libqt5quick5-gles : 競合: libqt5quick5 しかし、5.12.8-0ubuntu1 はインストールされようとしています
libqt5quickparticles5-gles : 競合: libqt5quickparticles5 しかし、5.12.8-0ubuntu1 はインストールされようとしています
E: 問題を解決することができません。壊れた変更禁止パッケージがあります。

上記のlibqt5gui5-gles libqt5quick5-gles libqt5quickparticles5-gles を除外してワイルドカードを使う方法がわからないので、apt list libqt5* >qt5 みたいにファイルに書き出して、viで/をスペース10個ぐらいと置換して、/以下のいらない部分を箱選択して削除して、その後、スペースを削除して、shft+jで各行を1行にくっつけていって作った下記を実行してみるか。

sudo apt install libqt5-ukui-style-dev libqt5-ukui-style1 libqt53danimation5 libqt53dcore5 libqt53dextras5 libqt53dinput5 libqt53dlogic5 libqt53dquick5 libqt53dquickanimation5 libqt53dquickextras5 libqt53dquickinput5 libqt53dquickrender5 libqt53dquickscene2d5 libqt53drender5 libqt5bluetooth5-bin libqt5bluetooth5 libqt5charts5-dev libqt5charts5 libqt5concurrent5 libqt5concurrent5 libqt5core5a libqt5core5a libqt5datavisualization5-dev libqt5datavisualization5 libqt5dbus5 libqt5dbus5 libqt5designer5 libqt5designer5 libqt5designercomponents5 libqt5designercomponents5 libqt5gamepad5-dev libqt5gamepad5 libqt5glib-2.0-0 libqt5gstreamer-1.0-0 libqt5gstreamer-dev libqt5gstreamerquick-1.0-0 libqt5gstreamerui-1.0-0 libqt5gstreamerutils-1.0-0 libqt5gui5 libqt5gui5 libqt5help5 libqt5help5 libqt5hunspellinputmethod5 libqt5keychain1 libqt5location5-plugin-mapboxgl libqt5location5-plugin-mapboxgl libqt5location5-plugins libqt5location5-plugins libqt5location5 libqt5location5 libqt5multimedia5-plugins libqt5multimedia5-plugins libqt5multimedia5 libqt5multimedia5 libqt5multimediagsttools5 libqt5multimediagsttools5 libqt5multimediaquick5 libqt5multimediaquick5 libqt5multimediawidgets5 libqt5multimediawidgets5 libqt5network5 libqt5network5 libqt5networkauth5-dev libqt5networkauth5 libqt5nfc5 libqt5opengl5-dev libqt5opengl5-dev libqt5opengl5 libqt5opengl5 libqt5pas-dev libqt5pas1 libqt5positioning5-plugins libqt5positioning5-plugins libqt5positioning5 libqt5positioning5 libqt5positioningquick5 libqt5positioningquick5 libqt5printsupport5 libqt5printsupport5 libqt5qevercloud3 libqt5qml5 libqt5qml5 libqt5quick5 libqt5quick5 libqt5quickcontrols2-5 libqt5quickparticles5 libqt5quickparticles5 libqt5quickshapes5 libqt5quickshapes5 libqt5quicktemplates2-5 libqt5quicktest5 libqt5quicktest5 libqt5quickwidgets5 libqt5quickwidgets5 libqt5remoteobjects5-bin libqt5remoteobjects5-dev libqt5remoteobjects5 libqt5scintilla2-designer libqt5script5 libqt5scripttools5 libqt5scxml5-bin libqt5scxml5-dev libqt5scxml5 libqt5sensors5-dev libqt5sensors5-dev libqt5sensors5 libqt5sensors5 libqt5serialbus5-bin libqt5serialbus5-dev libqt5serialbus5-plugins libqt5serialbus5 libqt5serialport5-dev libqt5serialport5-dev libqt5serialport5 libqt5serialport5 libqt5sql5-ibase libqt5sql5-ibase libqt5sql5-mysql libqt5sql5-mysql libqt5sql5-odbc libqt5sql5-odbc libqt5sql5-psql libqt5sql5-psql libqt5sql5-sqlite libqt5sql5-sqlite libqt5sql5-tds libqt5sql5-tds libqt5sql5 libqt5sql5 libqt5svg5-dev libqt5svg5-dev libqt5svg5 libqt5svg5 libqt5test5 libqt5test5 libqt5texttospeech5-dev libqt5texttospeech5 libqt5virtualkeyboard5-dev libqt5virtualkeyboard5 libqt5waylandclient5-dev libqt5waylandclient5 libqt5waylandcompositor5-dev libqt5waylandcompositor5 libqt5webchannel5-dev libqt5webchannel5-dev libqt5webchannel5 libqt5webchannel5 libqt5webengine-data libqt5webengine5 libqt5webenginecore5 libqt5webenginewidgets5 libqt5webkit5-dev libqt5webkit5-dev libqt5webkit5 libqt5webkit5 libqt5websockets5-dev libqt5websockets5-dev libqt5websockets5 libqt5websockets5 libqt5webview5-dev libqt5webview5 libqt5widgets5 libqt5widgets5 libqt5x11extras5-dev libqt5x11extras5-dev libqt5x11extras5 libqt5x11extras5 libqt5xdg-dev libqt5xdg3 libqt5xdgiconloader-dev libqt5xdgiconloader3 libqt5xml5 libqt5xml5 libqt5xmlpatterns5-dev libqt5xmlpatterns5-dev libqt5xmlpatterns5 libqt5xmlpatterns5

こんな長い行を受け付けてくれるかと思ったら、受け付けてくれた。 これをやるとSalome-Meca2019は起動できるが、

AsterStudyのモージュールを有効にできません。

のエラー。Salome-Meca2018は起動できず、以下のエラー

runSalome running on amd20
Searching for a free port for naming service: 2810 - OK
Searching Naming Service + found in 0.1 seconds 
Searching /Kernel/Session in Naming Service +++++++++++SALOME_Session_Server: /home/kouzou/salome_meca/V2018.0.1_public/prerequisites/debianForSalome/lib/libstdc++.so.6: version `CXXABI_1.3.9' not found (required by /lib/x86_64-linux-gnu/libGLU.so.1)
Traceback (most recent call last):
 File "/home/kouzou/salome_meca/appli_V2018.0.1_public/bin/salome/runSalome.py", line 633, in useSalome
   clt = startSalome(args, modules_list, modules_root_dir)
 File "/home/kouzou/salome_meca/appli_V2018.0.1_public/bin/salome/runSalome.py", line 578, in startSalome
   session=clt.waitNSPID("/Kernel/Session",mySessionServ.PID,SALOME.Session)
 File "/home/kouzou/salome_meca/V2018.0.1_public/modules/KERNEL_V8_5_0/bin/salome/orbmodule.py", line 174, in waitNSPID
   raise RuntimeError, "Process %d for %s not found" % (thePID,theName)
RuntimeError: Process 7220 for /Kernel/Session not found

Salome-Meca2017は起動できるがプルダウンメニューが真っ白でテキストが表示されない。

Salome-Meca2019が問題なく動くマシンで、ulimit -a csh: limit をやった結果

core file size          (blocks, -c) 0
data seg size           (kbytes, -d) unlimited
scheduling priority             (-e) 0
file size               (blocks, -f) unlimited
pending signals                 (-i) 30064
max locked memory       (kbytes, -l) 16384
max memory size         (kbytes, -m) unlimited
open files                      (-n) 1024
pipe size            (512 bytes, -p) 8
POSIX message queues     (bytes, -q) 819200
real-time priority              (-r) 0
stack size              (kbytes, -s) 8192
cpu time               (seconds, -t) unlimited
max user processes              (-u) 30064
virtual memory          (kbytes, -v) unlimited
file locks                      (-x) unlimited

以下のようなエラーが出ることもある

Traceback:
 File "/home/kouzou/salome_meca/V2019.0.3_universal/modules/ASTERSTUDY_201903/lib/python3.6/site-packages/asterstudy/gui/parameterpanel/editors.py", line 1669, in updateMeshView
   if is_medfile(filename) or is_reference(filename):
 File "/home/kouzou/salome_meca/V2019.0.3_universal/modules/ASTERSTUDY_201903/lib/python3.6/site-packages/asterstudy/common/extfiles.py", line 423, in is_medfile
   return get_extension(file_name) in ('med', 'rmed', 'mmed')
 File "/home/kouzou/salome_meca/V2019.0.3_universal/modules/ASTERSTUDY_201903/lib/python3.6/site-packages/asterstudy/common/base_utils.py", line 123, in get_extension
   basename = osp.basename(path)
 File "/home/kouzou/salome_meca/V2019.0.3_universal/prerequisites/Python-365/lib/python3.6/posixpath.py", line 146, in basename
   p = os.fspath(p)

Salome-Meca2018

Searching /Kernel/Session in Naming Service ++++++++++libGL error: MESA-LOADER: failed to open radeonsi (search paths /usr/lib/x86_64-linux-gnu/dri:\$${ORIGIN}/dri:/usr/lib/dri)

佐々木先生のとこのエラー

最初は解けていた梁の簡単な問題でも出力が出せなくなった。 起動はできて、runすると

Cannot read output file or empty file

のエラー。output fileが出力されない。

Salome-Meca2019の場合、実行中のHistory Viewの右下に出ている Outputタブ(ここに Cannot read output file or empty file. が表示されている)を Messagesタブに切り替えると、計算が終了していたり(ここで終了してなくても、 Outputに戻ると)終了したりする。 というわけで、実行後は、OutputとMessagesのタブを時々 切り替えるといいような。

起動時のエラー

 INFO:MainThread:/home/kouzou/salome_meca/appli_V2019.0.3_universal/bin/salome/PortManager.py[151]Problem
loading PortManager file: /tmp/.salome_PortManager.cfg
INFO:PortManager:Problem loading PortManager file:
/tmp/.salome_PortManager.cfg
Searching for a free port for naming service: 2810 - OK
Searching Naming Service  + found in 0.1 seconds
Searching /Kernel/Session in Naming Service  ++Error in sitecustomize; set
PYTHONVERBOSE for traceback:
AttributeError: module 'sys' has no attribute 'setdefaultencoding'
++++++++++++++_IceTransSocketUNIXConnect: Cannot connect to non-local host
localhost
_IceTransSocketUNIXConnect: Cannot connect to non-local host localhost
+Error in sitecustomize; set PYTHONVERBOSE for traceback:
AttributeError: module 'sys' has no attribute 'setdefaultencoding'
+Warning: this type (Study,objref) already exists, it will be ignored.
Warning: this type
(SALOME_MED/MEDCouplingFieldDoubleCorbaInterface,objref) already exists,
it will be ignored.
 found in 9.0 seconds
Start SALOME, elapsed time :   9.5 seconds
Error in sitecustomize; set PYTHONVERBOSE for traceback:
AttributeError: module 'sys' has no attribute 'setdefaultencoding'
****************************************************************
     Warning: module NETGENPLUGIN is improperly configured!
     Module NETGENPLUGIN will not be available in GUI mode!
****************************************************************
****************************************************************
     Warning: module HYBRIDPLUGIN is improperly configured!
     Module HYBRIDPLUGIN will not be available in GUI mode!
****************************************************************
****************************************************************
     Warning: module HexoticPLUGIN is improperly configured!
     Module HexoticPLUGIN will not be available in GUI mode!
****************************************************************
****************************************************************
     Warning: module GHS3DPLUGIN is improperly configured!
     Module GHS3DPLUGIN will not be available in GUI mode!
****************************************************************
****************************************************************
     Warning: module BLSURFPLUGIN is improperly configured!
     Module BLSURFPLUGIN will not be available in GUI mode!
****************************************************************
****************************************************************
     Warning: module GMSHPLUGIN is improperly configured!
     Module GMSHPLUGIN will not be available in GUI mode!
**************************

error.log

Error in sitecustomize; set PYTHONVERBOSE for traceback:
AttributeError: module 'sys' has no attribute 'setdefaultencoding'
Error in sitecustomize; set PYTHONVERBOSE for traceback:
AttributeError: module 'sys' has no attribute 'setdefaultencoding'
Error in sitecustomize; set PYTHONVERBOSE for traceback:
AttributeError: module 'sys' has no attribute 'setdefaultencoding'

output.log

ERROR: The user login on remote machine MUST be given.

動作中のエラー

runSalome running on agr194-186.hines.hoge.ac.jp
INFO:MainThread:/home/kouzou/salome_meca/appli_V2019.0.3_universal/bin/salome/PortManager.py[151]Problem
loading PortManager file: /tmp/.salome_PortManager.cfg
INFO:PortManager:Problem loading PortManager file:
/tmp/.salome_PortManager.cfg
Searching for a free port for naming service: 2810 - OK
Searching Naming Service  + found in 0.1 seconds
Searching /Kernel/Session in Naming Service  ++Error in sitecustomize; set
PYTHONVERBOSE for traceback:
AttributeError: module 'sys' has no attribute 'setdefaultencoding'
+++++++++++++++++Error in sitecustomize; set PYTHONVERBOSE for traceback:
AttributeError: module 'sys' has no attribute 'setdefaultencoding'
Warning: this type (Study,objref) already exists, it will be ignored.
Warning: this type
(SALOME_MED/MEDCouplingFieldDoubleCorbaInterface,objref) already exists,
it will be ignored.
+ found in 10.0 seconds
Start SALOME, elapsed time :  10.6 seconds
Error in sitecustomize; set PYTHONVERBOSE for traceback:
AttributeError: module 'sys' has no attribute 'setdefaultencoding'
****************************************************************
     Warning: module NETGENPLUGIN is improperly configured!
     Module NETGENPLUGIN will not be available in GUI mode!
****************************************************************
****************************************************************
     Warning: module HYBRIDPLUGIN is improperly configured!
     Module HYBRIDPLUGIN will not be available in GUI mode!
****************************************************************
****************************************************************
     Warning: module HexoticPLUGIN is improperly configured!
     Module HexoticPLUGIN will not be available in GUI mode!
****************************************************************
****************************************************************
     Warning: module GHS3DPLUGIN is improperly configured!
     Module GHS3DPLUGIN will not be available in GUI mode!
****************************************************************
****************************************************************
     Warning: module BLSURFPLUGIN is improperly configured!
     Module BLSURFPLUGIN will not be available in GUI mode!
****************************************************************
****************************************************************
     Warning: module GMSHPLUGIN is improperly configured!
     Module GMSHPLUGIN will not be available in GUI mode!
****************************************************************
SalomeApp_Engine_i::Load() isMultiFile = 0
AsterStudy: 金-03-16:46:50.614 Opening AsterStudy JSON file...
AsterStudy: 金-03-16:46:50.620 Use version 'stable' (14.4.0)
AsterStudy: 金-03-16:46:50.620 loading case 'RunCase_1' (1/2)...
AsterStudy: 金-03-16:46:50.620 loading stages...
AsterStudy: 金-03-16:46:50.620 case 'RunCase_1' loaded
AsterStudy: 金-03-16:46:50.621 loading case 'CurrentCase' (2/2)...
AsterStudy: 金-03-16:46:50.621 loading stages...
AsterStudy: 金-03-16:46:50.767 case 'CurrentCase' loaded
AsterStudy: 金-03-16:46:51.141 JSON file reloaded
AsterStudy: 金-03-16:46:52.114 AsterStudy is activating...
AsterStudy: 金-03-16:46:52.115 Creating workspace...
AsterStudy: 金-03-16:46:52.221 Refreshing configuration on localhost...
AsterStudy: 金-03-16:46:53.654 workspace is ready.
AsterStudy: 金-03-16:46:54.410 AsterStudy activated
AsterStudy: 金-03-16:47:22.208 saving case 1-RunCase_1...
AsterStudy: 金-03-16:47:22.211 saving case 15-RunCase_2...
AsterStudy: 金-03-16:47:22.213 saving case 5-CurrentCase...
AsterStudy: 金-03-16:47:23.064 Submitting job on localhost...
AsterStudy: 金-03-16:47:23.129 job submitted
AsterStudy: 金-03-16:47:23.134 Getting job output on agr194-186...
AsterStudy: 金-03-16:47:23.274 exit code: 255
AsterStudy: 金-03-16:47:23.352 Getting job output on agr194-186...
AsterStudy: 金-03-16:47:23.367 exit code: 255
AsterStudy: 金-03-16:47:23.372 Getting job output on agr194-186...
AsterStudy: 金-03-16:47:23.387 exit code: 255
AsterStudy: 金-03-16:47:23.391 Getting job output on agr194-186...
AsterStudy: 金-03-16:47:23.406 exit code: 255
/bin/cp: '/tmp/asterstudy_workdir_kouzou/kouzou-agr194-186.hines.hoge.ac.
jp-金-03-164723.050/./bou2.med' を stat できません: そのようなファイルやディ
レクトリはありません
/bin/cp: '/tmp/asterstudy_workdir_kouzou/kouzou-agr194-186.hines.hoge.ac.
jp-金-03-164723.050/./message' を stat できません: そのようなファイルやディ
レクトリはありません
/bin/cp: '/tmp/asterstudy_workdir_kouzou/kouzou-agr194-186.hines.hoge.ac.
jp-金-03-164723.050/./base-stage1' を stat できません: そのようなファイルや
ディレクトリはありません

Ubuntu16.04でSalome-Meca2019が起動しない

runSalome running on hp16
Searching for a free port for naming service: 2811 - OK
Searching Naming Service  + found in 0.1 seconds 
SALOME_Session_Server: error while loading shared libraries: libGLX.so.0: cannot  open shared object file: No such file or directory
Traceback (most recent call last):
 File "/home/kouzou/salome_meca/V2019.0.3_universal/modules/KERNEL_V9_3_0/bin/salome/orbmodule.py", line 172, in waitNSPID
   os.kill(thePID,0)
ProcessLookupError: [Errno 3] No such process
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
 File "/home/kouzou/salome_meca/appli_V2019.0.3_universal/bin/salome/runSalome.py", line 633, in useSalome
   clt = startSalome(args, modules_list, modules_root_dir)
 File "/home/kouzou/salome_meca/appli_V2019.0.3_universal/bin/salome/runSalome.py", line 578, in startSalome
   session=clt.waitNSPID("/Kernel/Session",mySessionServ.PID,SALOME.Session)
 File "/home/kouzou/salome_meca/V2019.0.3_universal/modules/KERNEL_V9_3_0/bin/salome/orbmodule.py", line 174, in waitNSPID
   raise RuntimeError("Process %d for %s not found" % (thePID,theName))
RuntimeError: Process 11528 for /Kernel/Session not found
Searching /Kernel/Session in Naming Service  
--- Error during Salome launch ---

HP Pavilion dv Ubuntu18.04

  • Salome-Meca2018
    runSalome running on hp20
    Searching for a free port for naming service: 2811 - OK
    Searching Naming Service + found in 0.1 seconds 
    Searching /Kernel/Session in Naming Service ++SALOME_Session_Server: error while loading shared libraries: libquadmath.so.0: cannot open shared object file: No such file or directory
    Traceback (most recent call last):
     File "/home/kouzou/salome_meca/appli_V2018.0.1_public/bin/salome/runSalome.py", line 633, in useSalome
       clt = startSalome(args, modules_list, modules_root_dir)
     File "/home/kouzou/salome_meca/appli_V2018.0.1_public/bin/salome/runSalome.py", line 578, in startSalome
       session=clt.waitNSPID("/Kernel/Session",mySessionServ.PID,SALOME.Session)
     File "/home/kouzou/salome_meca/V2018.0.1_public/modules/KERNEL_V8_5_0/bin/salome/orbmodule.py", line 174, in waitNSPID
       raise RuntimeError, "Process %d for %s not found" % (thePID,theName)
    RuntimeError: Process 4178 for /Kernel/Session not found
  • Salome-Meca2019
    runSalome running on hp20
    Searching for a free port for naming service: 2812 - OK
    Searching Naming Service  + found in 0.1 seconds 
    Searching /Kernel/Session in Naming Service  ++++++++++++SALOME_Session_Server: error while loading shared libraries: libquadmath.so.0: cannot open shared object file: No such file or directory
    Traceback (most recent call last):
     File "/home/kouzou/salome_meca/V2019.0.3_universal/modules/KERNEL_V9_3_0/bin/salome/orbmodule.py", line 172, in waitNSPID
       os.kill(thePID,0)
    ProcessLookupError: [Errno 3] No such process
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
 File "/home/kouzou/salome_meca/appli_V2019.0.3_universal/bin/salome/runSalome.py", line 633, in useSalome
   clt = startSalome(args, modules_list, modules_root_dir)
 File "/home/kouzou/salome_meca/appli_V2019.0.3_universal/bin/salome/runSalome.py", line 578, in startSalome
   session=clt.waitNSPID("/Kernel/Session",mySessionServ.PID,SALOME.Session)
 File "/home/kouzou/salome_meca/V2019.0.3_universal/modules/KERNEL_V9_3_0/bin/salome/orbmodule.py", line 174, in waitNSPID
   raise RuntimeError("Process %d for %s not found" % (thePID,theName))
RuntimeError: Process 4650 for /Kernel/Session not found
--- Error during Salome launch ---
  • Salome-Meca2019 HP15 dv1000
    =========================================================
    Self Extracting salome_meca V2019.0.3_universal Installer
    =========================================================
Enter the salome_meca install directory [default=/home/kouzou/salome_meca] : 
salome_meca is in English, do you want to be in French ? [y/N] : N
Installation of salome_meca V2019.0.3_universal in /home/kouzou/salome_meca/V2019.0.3_universal ...
Verifying archive integrity...
All good.
Done                                                                           
./create_appli.sh: 行 108: /salome_prerequisites_root.sh: そのようなファイルやディレクトリはありません
./create_appli.sh: 行 109: /salome_modules.sh: そのようなファイルやディレクトリはありません
Creating salome_meca application in /home/kouzou/salome_meca/appli_V2019.0.3_universal ...
sed: /.config_appli_template.xml を読み込めません: そのようなファイルやディレクトリはありません
Desktop directory not found.
grep: salome_context.cfg: そのようなファイルやディレクトリはありません
salome_meca post-installation ...
./create_appli.sh: 行 263: python: コマンドが見つかりません
./create_appli.sh: 行 287: ./salome_post_install.py: そのようなファイルやディレクトリはありません
The salome_meca application was successfully created.
To run the application:
$ /home/kouzou/salome_meca/appli_V2019.0.3_universal/salome
Adjusting wishexecutable /home/kouzou/salome_meca/V2019.0.3_universal/tools/Code_aster_frontend-20190/etc/codeaster/profile.sh
Initialize terminal and editor for Code_aster
Final configuration

トップ   編集 凍結 差分 バックアップ 添付 複製 名前変更 リロード   新規 一覧 検索 最終更新   ヘルプ   最終更新のRSS
Last-modified: 2021-10-11 (月) 13:56:46